unit IntroImplU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, OleCtrls, AgentObjects_TLB;

type
  TForm1 = class(TForm)
    Agent: TAgent;
    Agent1: TAgent;
    procedure FormCreate(Sender: TObject);
  private
    procedure Greeting;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Peedy : iAgentCtlCharacterEx;
  Claude : iAgentCtlCharacterEx;
  Request1, Request2, Request3, Request4, Request5, Request6, Request7 : IAgentCtlRequest;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Agent.Connected := True;

  Agent.Characters.Load('Peedy', 'peedy.acs');
  Peedy := Agent.Characters.Character('Peedy');
  Peedy.MoveTo(200, 150, 10);
  Peedy.Show(EmptyParam);

  Agent.Characters.Load('Claude', 'claude.acs');
  Claude := Agent.Characters.Character('Claude');
  Claude.MoveTo(500, 150, 10);
  Claude.Show(EmptyParam);

  Greeting;

end;

procedure TForm1.Greeting;
begin
  with Claude do
  begin
    Play('Wave');
    Balloon.Style := 7;
    Request1 := Speak('\Pit=50\\Spd=79\Hello!', '');
  end;


  with Peedy do
  begin
    Wait(Request1);
    Play('Wave');
    Balloon.Style := 7;
    Request2 := Speak('Hi!  I''ve heard that we''re going to be famous.', '');
  end;

  with Claude do
  begin
    Wait(Request2);
    Request3 := Play('DontRecognize');
    Speak('Famous?  Why''s that then?','');
  end;

  with Peedy Do
  begin
    Wait(Request3);
    Play('LookUp');
    Think('Is this bear thick or what!');
    Play('Explain');
    Request4 := Speak('Because, stupid, we''re the cool Agents!  And we are much better than that annoying paper clip...', '');
  end;

  with Claude do
  begin
    Wait(Request4);
    Play('Confused');
    Request5 := Speak('\Pit=50\\Spd=79\But what does that have to do with it!  How will that make us famous?','');
   
  end;

  with Peedy do
  begin
    Wait(Request5);
    Play('Uncertain');
    Request6 := Speak('Erm... not exactly sure.','');
  end;

  with Claude do
  begin
    Wait(Request6);
    Play('Search');
    Speak('Aha!','');
    Play('Explain');
    Request7 := Speak('\Pit=50\\Spd=79\Maybe this fine young lowdie can tell us.....','');
  end;

  with Peedy do
  begin
    Wait(Request7);
    Speak('Please?','');
    Play('Pleased');
  end;

end;

end.
